Bug 1668497 (CVE-2018-17189) - CVE-2018-17189 httpd: mod_http2: DoS via slow, unneeded request bodies
Summary: CVE-2018-17189 httpd: mod_http2: DoS via slow, unneeded request bodies
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17189
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Maryna Nalbandian
URL:
Whiteboard:
Depends On: 1668498 1677591 1678567
Blocks: 1668499
TreeView+ depends on / blocked
 
Reported: 2019-01-22 21:43 UTC by Laura Pardo
Modified: 2019-12-10 07:57 UTC (History)
19 users (show)

Fixed In Version: httpd 2.4.38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:51:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3932 None None None 2019-11-20 16:21:05 UTC
Red Hat Product Errata RHSA-2019:3933 None None None 2019-11-20 16:13:33 UTC
Red Hat Product Errata RHSA-2019:3935 None None None 2019-11-20 16:08:36 UTC
Red Hat Product Errata RHSA-2019:4126 None None None 2019-12-10 07:57:13 UTC

Description Laura Pardo 2019-01-22 21:43:27 UTC
A flaw was found in HTTP/2 (mod_http2) connections in Apache HTTP Server httpd 2.4.17 to 2.4.37. A DoS can be triggered by sending request bodies in a slow loris way to plain resources, the h2 stream for that request unnecessarily occupied a server thread cleaning up that incoming data. 


References:
https://seclists.org/oss-sec/2019/q1/80
https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Laura Pardo 2019-01-22 21:43:38 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1668498]

Comment 19 errata-xmlrpc 2019-11-20 16:08:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:3935 https://access.redhat.com/errata/RHSA-2019:3935

Comment 20 errata-xmlrpc 2019-11-20 16:13:28 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2019:3933 https://access.redhat.com/errata/RHSA-2019:3933

Comment 21 errata-xmlrpc 2019-11-20 16:21:04 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2019:3932 https://access.redhat.com/errata/RHSA-2019:3932

Comment 22 Product Security DevOps Team 2019-11-20 18:51:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17189

Comment 23 errata-xmlrpc 2019-12-10 07:57:12 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:4126 https://access.redhat.com/errata/RHSA-2019:4126


Note You need to log in before you can comment on or make changes to this bug.